"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalendarDay = void 0;
const react_1 = __importDefault(require("react"));
const clsx_1 = __importDefault(require("clsx"));
const date_fns_1 = require("date-fns");
const Calendar_1 = require("./Calendar");
const CalendarDay = ({ enableHover, isSelected, isToday, onClick, children, date, className, workDate, type, }) => {
    const isOtherMonth = !(0, date_fns_1.isSameMonth)(workDate, date);
    return (react_1.default.createElement("div", { className: (0, clsx_1.default)('calendar-day', className, Object.assign(Object.assign(Object.assign({ 'calendar-day--selected': isSelected, 'calendar-day--today': isToday, 'calendar-day--hover': enableHover }, (type === Calendar_1.CalendarTypeEnum.days && {
            'calendar-day--otherMonth': isOtherMonth,
        })), (type === Calendar_1.CalendarTypeEnum.weeks && {
            'calendar-day--otherMonth': isOtherMonth,
        })), (type === Calendar_1.CalendarTypeEnum.months && {}))), onClick: () => onClick === null || onClick === void 0 ? void 0 : onClick(date) }, children));
};
exports.CalendarDay = CalendarDay;
